=== debian/changelog ===
deepin-update-manager (1.0.3) unstable; urgency=medium

  * feat: 空闲自动退出后，保存当前状态，下一次打开控制中心能读取到之前的状态
  * feat: 添加更新服务空闲1分钟退出

 -- fuleyi <fuleyi@uniontech.com>  Thu, 23 Jan 2025 10:25:01 +0800

deepin-update-manager (1.0.2) unstable; urgency=medium

  * fix: failed to check upgrade
  * feat: add authorization
  * fix: upgrade failed
  * fix: upgraded to wrong version
  * chore: remove unused files
  * fix: wrong state
  * chore: add missing dependencies
  * chore: fix REUSE specification compliant

 -- zsien <quezhiyong@deepin.org>  Thu, 19 Dec 2024 10:10:14 +0800

deepin-update-manager (1.0.1) unstable; urgency=medium

  * Initial release.

 -- zsien <quezhiyong@deepin.org>  Tue, 03 Dec 2024 10:29:24 +0800
