=== debian/control ===
Source: deepin-update-manager
Section: admin
Priority: optional
Maintainer: zsien <quezhiyong@deepin.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libdbus-1-dev,
 libpolkit-qt6-1-dev,
 libssl-dev,
 libsystemd-dev,
 pkg-config,
 qt6-base-dev,
 systemd-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/deepin-update-manager

Package: deepin-update-manager
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Update Manager
 Deepin Update Manager is a tool to manage the update of deepin
